[jdom-interest] jdom b7 does not appear to work with the 1.4.0 j2se

Laurent Bihanic laurent.bihanic at atosorigin.com
Thu Mar 7 03:25:05 PST 2002

Jason Hunter wrote:
> That's a JVM bug.  Please report it to Sun, along with a small
> reproducible test case if possible.

The crash is indeed a JVM bug but the exception being processed at the time of 
the crash (IncompatibleClassChangeError) indicates that at least one class 
needs to be recompiled against the new JDK, either in JDOM or in the application.
As I successfully ran JDOM beta7 with JDK 1.4, I'd suggest checking the 
application. A full stack trace would have helped.


More information about the jdom-interest mailing list